package ink.wgink.module.instantmessage.pojo.vos;

import ink.wgink.annotation.CheckListAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: NoticeMessageVO
 * @Description: 通知消息
 * @Author: wanggeng
 * @Date: 2021/1/19 5:04 下午
 * @Version: 1.0
 */
@ApiModel
public class NoticeVO {

    @ApiModelProperty(name = "noticies", value = "通知列表")
    @CheckListAnnotation(name = "通知列表")
    private List<Notice> notices;

    public List<Notice> getNotices() {
        return notices == null ? new ArrayList<>() : notices;
    }

    public void setNotices(List<Notice> notices) {
        this.notices = notices;
    }

    @ApiModel
    public static class Notice {
        @ApiModelProperty(name = "userIds", value = "用户ID列表")
        private List<String> userIds;
        @ApiModelProperty(name = "title", value = "消息标题")
        private String title;
        @ApiModelProperty(name = "msg", value = "消息体")
        private String msg;
        @ApiModelProperty(name = "target", value = "目标字符串")
        private String target;
        @ApiModelProperty(name = "system", value = "系统")
        private String system;
        @ApiModelProperty(name = "module", value = "模块")
        private String module;
        @ApiModelProperty(name = "menu", value = "菜单")
        private String menu;
        @ApiModelProperty(name = "serviceId", value = "业务ID")
        private String serviceId;

        public List<String> getUserIds() {
            return userIds == null ? new ArrayList<>() : userIds;
        }

        public void setUserIds(List<String> userIds) {
            this.userIds = userIds;
        }

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public String getMsg() {
            return msg;
        }

        public void setMsg(String msg) {
            this.msg = msg;
        }

        public String getTarget() {
            return target;
        }

        public void setTarget(String target) {
            this.target = target;
        }

        public String getSystem() {
            return system == null ? "" : system;
        }

        public void setSystem(String system) {
            this.system = system;
        }

        public String getModule() {
            return module == null ? "" : module;
        }

        public void setModule(String module) {
            this.module = module;
        }

        public String getMenu() {
            return menu == null ? "" : menu;
        }

        public void setMenu(String menu) {
            this.menu = menu;
        }

        public String getServiceId() {
            return serviceId == null ? "" : serviceId;
        }

        public void setServiceId(String serviceId) {
            this.serviceId = serviceId;
        }
    }

}
